Bug 225939 - Bandwidth scheduler should be able to edit multi-day schedules
Summary: Bandwidth scheduler should be able to edit multi-day schedules
Status: RESOLVED FIXED
Alias: None
Product: ktorrent
Classification: Applications
Component: general (show other bugs)
Version: unspecified
Platform: Compiled Sources Linux
: NOR wishlist (vote)
Target Milestone: ---
Assignee: Joris Guisson
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-02-08 18:58 UTC by Marco Poletti
Modified: 2011-03-21 19:10 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Marco Poletti 2010-02-08 18:58:15 UTC
Version:            (using Devel)
OS:                Linux
Installed from:    Compiled sources

Bandwidth scheduler allows adding multi-day schedules.
When editing them, instead, each day must be edited separately. Instead, you should be able to edit all the multi-day schedule at once.
Comment 1 Joris Guisson 2011-03-21 19:10:55 UTC
Git commit 98c497eb12f00b01092192e8ed2d17030db24d3f by Joris.
Committed on 21/03/2011 at 19:11.
Pushed by guisson into branch 'master'.

Fix bug making it possible to add conflicting items to the schedule ()
- Make it possible for schedule items to span multiple days

BUG: 268879
BUG: 225939

M  +2    -0    ChangeLog     
M  +13   -2    plugins/bwscheduler/CMakeLists.txt     
D  +0    -196  plugins/bwscheduler/additemdlg.cpp     
D  +0    -67   plugins/bwscheduler/additemdlg.h     
D  +0    -342  plugins/bwscheduler/additemdlg.ui     
M  +1    -1    plugins/bwscheduler/bwprefpage.cpp     
M  +1    -1    plugins/bwscheduler/bwschedulerplugin.cpp     
M  +91   -43   plugins/bwscheduler/edititemdlg.cpp     
M  +15   -7    plugins/bwscheduler/edititemdlg.h     
M  +18   -8    plugins/bwscheduler/edititemdlg.ui     
M  +1    -1    plugins/bwscheduler/ktbwschedulerplugin.desktop     
M  +96   -30   plugins/bwscheduler/schedule.cpp     
M  +48   -5    plugins/bwscheduler/schedule.h     
M  +17   -12   plugins/bwscheduler/scheduleeditor.cpp     
M  +1    -1    plugins/bwscheduler/scheduleeditor.h     
M  +132  -33   plugins/bwscheduler/schedulegraphicsitem.cpp     
M  +4    -7    plugins/bwscheduler/schedulegraphicsitem.h     
M  +60   -13   plugins/bwscheduler/weekscene.cpp     
M  +23   -2    plugins/bwscheduler/weekscene.h     
M  +7    -8    plugins/bwscheduler/weekview.cpp     
M  +1    -1    plugins/bwscheduler/weekview.h     

http://commits.kde.org/ktorrent/98c497eb12f00b01092192e8ed2d17030db24d3f